Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface FinishedReportTable

    public interface FinishedReportTable

Interface `FinishedReportTable` contains information of a finished report in the report server.

Method Summary
`java.util.Vector` | `getFinishedReports()` Returns a vector of FinishedReport that are the immediate sources of finished report for this server.
`java.util.Vector` | `getFinishedReportsByUserID(java.lang.String userID)` Gets finished reports by the user.
`long` | `getMaxKeepTime()`
`int` | `getMaxSaveNumber()` Get the max report number to save.
`void` | `removeFinishedReportIfOverFlow()` Remove the finished report when the amount number up to maxKeepNumber or finished time reaches MaxKeepNumber.
`void` | `setMaxKeepTime(long keepTime)` Set the keep times in miliseconds.
`void` | `setMaxSaveNumber(int maxSaveNumber)` Set the max report number to save.

Method Detail

### getFinishedReports

    java.util.Vector getFinishedReports()

  Returns a vector of FinishedReport that are the immediate sources of finished report for this server. This method returns null if the FinishedReport object has no information about its immediate sources. It returns an empty Vector if the FinishedReport object has no immediate sources.

  Returns:
    a Vector of `FinishedReport` objects.

### getFinishedReportsByUserID

    java.util.Vector getFinishedReportsByUserID(java.lang.String userID)

  Gets finished reports by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector contains FinishedReport objects.

### setMaxSaveNumber

    void setMaxSaveNumber(int maxSaveNumber)

  Set the max report number to save. The finished report will be removed when the maxSaveNumber reaches.

  Parameters:
    `maxSaveNumber` - the max number of reports .

### getMaxSaveNumber

    int getMaxSaveNumber()

  Get the max report number to save. The finished report will be removed when the maxSaveNumber reaches.

### setMaxKeepTime

    void setMaxKeepTime(long keepTime)

  Set the keep times in miliseconds. The finished report will be removed when the max keep times reaches.

  Parameters:
    `keepTime` - the max time to keep in miliseconds.

### getMaxKeepTime

    long getMaxKeepTime()

### removeFinishedReportIfOverFlow

    void removeFinishedReportIfOverFlow()

  Remove the finished report when the amount number up to maxKeepNumber or finished time reaches MaxKeepNumber.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD